
using Godot;
using System.Collections.Generic;

namespace Rokojori
{  
  public class RG_CrossChannelCurves:RG_ImageProcessor
  {
    public readonly CompositorEffectGraphTextureSlot curves;

    public static readonly string shaderPath = 
      RDGraph.Path( "Nodes/Processors/Color/CrossChannelCurves/CrossChannelCurves.glsl" );

    public RG_CrossChannelCurves( RDGraph graph ):base( graph, shaderPath )
    {
      curves = new CompositorEffectGraphTextureSlot( this );

      _textureSlots.Add( curves );
    } 

    public void SetCurvesTextureSlotInputs( RDGraphTextureSlotInput curvesSlotInput ) 
    {
      curvesSlotInput.ConnectTo( curves );
    }

    
  }
}